declare
  enum o_employees.eno%type;
  phs o_employees.person.phones%type;
begin
  enum := 1002;

  select e.person.phones 
  into   phs 
  from   o_employees e 
  where  e.eno = enum;

  phs(2) := '999-999-0000';

  update o_employees e
  set    e.person.phones = phs
  where  e.eno = enum;
end;
/
show errors
